// Пример 9. Использование скриптовой функции в таблице.

FlagWorkPlace()
{
  char arg[256];
  char rez[256];
  char buf[101];
  int n=0;

  sprintf(arg,"inc_type,0,СКОЛЬКО");
  // находим сколько было записей в поле "код работы для п.налога" за период заданный в панели запроса
  int count=atoi(R_KCH_PERIOD(arg,rez,25,0));

  for (int i=0; i<count; i++)
  {
    // читаем записи по порядку
    sprintf(arg,"inc_type,%d",i+1);
    R_KCH_PERIOD(arg,rez,250,0);
    elem_of_array(rez,2,',',buf,100); // т.к. каждая запись имеет структуру "дата,значение" - берем второе поле из этой структуры
    int typwork=atoi(buf);

    if (typwork==0)
    {
      // если находим значение равное 0 - присваиваем результату значение 1 и выходим из цикла
      n=1; break;
    }
  }

  // если в периоде значение типа работы было 0 - возвращаем 1 (в заданном периоде это место работы было 
  // основным); если в качестве значения 0 не обнаружили, вазвращаем 0 (в заданном периоде это место работы 
  // не было основным)
  return n; 
}

